# $Id: divx4linux.spec,v 1.3 2002/09/27 07:09:23 dude Exp $

%define	date	20011025

Summary: DivX for Linux codec binaries.
Name: divx4linux
Version: 4.0
Release: fr3.%{date}
Epoch: 1
License: Distributable
Group: System Environment/Libraries
Source: http://avifile.sourceforge.net/divx4linux-%{date}.tgz
URL: http://avifile.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386

%description
This archive includes binary release of DivX Codec 4.0 Beta for x86 Linux.

%prep
%setup -q -n %{name}-%{date}

%install
rm -rf %{buildroot}
for lib in *.so; do
	chmod 755 ${lib}
	mv ${lib} ${lib}.0
	ln -sf ${lib}.0 ${lib}
done
mkdir -p %{buildroot}{%{_libdir},%{_includedir}}
cp -a *.so* %{buildroot}%{_libdir}
#install -m 644 *.h %{buildroot}%{_includedir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*
#%{_includedir}/*

%changelog
* Fri Dec 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed include files in order to let xvid replace them!

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt on Red Hat Linux 8.0.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Revert to 20011025 to have encoding work with transcode.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 20020418.

* Sun Nov 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete spec file rewrite.

* Tue Aug 07 2001 Mario Mikocevic Mozgy <mozgy@hinet.hr> - 
Initial spec package

